%define mozver %(rpm -q mozilla --qf "%%{name} = %%{epoch}:%%{version}")
ExclusiveArch: i386 x86_64

Summary: GNOME web browser based on the Mozilla rendering engine
Name: epiphany
Version: 1.2.7
Release: 0.2.2
License: GPL
Group: Applications/Internet
URL: http://www.gnome.org/projects/epiphany/
Source0: http://ftp.gnome.org/pub/GNOME/sources/epiphany/1.2/%{name}-%{version}.tar.gz
Patch0: epiphany-1.0.1-home-page.patch
Patch1: epiphany-1.1.7-rpath.patch
Patch2: epiphany-1.2.7-fc2-glib-2.4.0.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prereq: scrollkeeper, GConf2
Requires: %mozver
# 1.0.5 for gnome-spinner, 1.0.6 for web-browser
Requires: gnome-icon-theme >= 1.0.6-1
BuildRequires: mozilla-devel >= 1.7
BuildRequires: mozilla
BuildRequires: gtk2-devel >= 2.3.2
BuildRequires: libbonoboui-devel >= 2.1.1
BuildRequires: scrollkeeper >= 0.1.4
BuildRequires: libxml2-devel, libgnomeui-devel, libglade2-devel
BuildRequires: gnome-vfs2-devel, GConf2-devel, ORBit2-devel
BuildRequires: eel2-devel

%description
epiphany is a simple GNOME web browser based on the Mozilla rendering
engine

%prep
%setup -q

%patch0 -p1 -b .homepage
%patch1 -p1 -b .rpath
%patch2 -p1 -b .fc2

%build
autoconf
%configure --enable-nautilus-view=no
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -rf $RPM_BUILD_ROOT/usr/include

# FC2 temporary hack: Use translations from redhat-menus
ln -sf ../desktop-menu-patches/epiphany.desktop \
  $RPM_BUILD_ROOT/%{_datadir}/applications/epiphany.desktop

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="epiphany.schemas epiphany-lockdown.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done
scrollkeeper-update

%postun
scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/epiphany
%{_bindir}/epiphany-bin
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*.desktop
%{_datadir}/epiphany
%{_datadir}/gnome/help/epiphany
%{_datadir}/omf/epiphany
%{_datadir}/pixmaps/*png
%{_datadir}/application-registry/epiphany.applications
%{_datadir}/gtk-doc/html/epiphany
%{_libdir}/pkgconfig/*.pc



%changelog
* Thu Sep 23 2004 Christopher Aillon <caillon@redhat.com>
- Rebuilt

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com>
- Rebuilt

* Tue Aug 03 2004 Christopher Blizzard <blizzard@redhat.com>
- Update to 1.2.7
- Disable nautilus view since it's broken

* Wed Jun 23 2004 Christopher Blizzard <blizzard@redhat.com>
- Update to 1.2.6

* Tue Jun 22 2004 Christopher Blizzard <blizzard@redhat.com>
- Update to 1.2.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 05 2004 Warren Togami <wtogami@redhat.com> - 1.2.4-1
- update to 1.2.4 stable

* Wed Mar 10 2004 Christopher Blizzard <blizzard@redhat.com> - 1.1.12-0
- Update to 1.1.12
- remove jrb patch for file chooser api changes since it appears
  to have been merged upstream

* Fri Mar  5 2004 Jeremy Katz <katzj@redhat.com> - 1.1.10-2
- rebuild

* Thu Mar  4 2004 Jeremy Katz <katzj@redhat.com> - 1.1.10-1
- 1.1.10
- add patch from jrb for file-chooser api changes

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 22 2004 Jeremy Katz <katzj@redhat.com> 1.1.9-1
- update to 1.1.9
- reenable nautilus view

* Thu Feb 19 2004 Christopher Blizzard <blizzard@redhat.com> 1.0.7-3
- disable the nautilus view.  doesn't seem to work anymore.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 20 2004 Jeremy Katz <katzj@redhat.com> 1.0.7-1
- 1.0.7

* Tue Dec 02 2003 Christopher Blizzard <blizzard@redhat.com> 1.0.4-3
- Add a BuildRequires for nautilus so that the view is built properly.

* Mon Oct 27 2003 Jakub Jelinek <jakub@redhat.com> 1.0.4-2
- link epiphany-bin with -Wl,-rpath,/usr/lib/mozilla-1.4.1,--enable-new-dtags
  to make it prelinkable

* Fri Oct 24 2003 Jeremy Katz <katzj@redhat.com> 1.0.4-1
- 1.0.4

* Fri Oct 24 2003 Christopher Blizzard <blizzard@redhat.com> 1.0.1-3
- Enable the nautilus view

* Fri Oct 10 2003 Christopher Blizzard <blizzard@redhat.com> 1.0.1-2
- Add patch to set the home page to the release notes

* Mon Oct  6 2003 Jeremy Katz <katzj@redhat.com> 1.0.1-1
- 1.0.1

* Fri Sep 26 2003 Chris Blizzard <blizzard@redhat.com> 1.0-2
- Updates for Mozilla 1.4.1

* Tue Sep  9 2003 Jeremy Katz <katzj@redhat.com> 1.0-1
- 1.0

* Wed Sep  3 2003 Jeremy Katz <katzj@redhat.com> 0.9.3-1
- 0.9.3

* Mon Aug 25 2003 Jeremy Katz <katzj@redhat.com> 0.9.2-1
- 0.9.2

* Mon Aug 11 2003 Jeremy Katz <katzj@redhat.com> 0.8.4-1
- 0.8.4

* Sun Aug 10 2003 Jeremy Katz <katzj@redhat.com> 0.8.3-1
- 0.8.3

* Sun Aug  3 2003 Jeremy Katz <katzj@redhat.com> 0.8.2-1
- 0.8.2

* Fri Jul 25 2003 Christopher Blizzard <blizzard@redhat.com> 0.8.0-2
- Add ppc to the list of arches.

* Tue Jul 15 2003 Matt Wilson <msw@redhat.com> 0.8.0-1
- 0.8.0

* Fri Jul 11 2003 Christopher Blizzard <blizzard@redhat.com> 0.7.3-3
- be sure to include the mozilla rpm in the build deps since it's
  queried

* Tue Jul 01 2003 Elliot Lee <sopwith@redhat.com> 0.7.3-2
- Fix mozilla dep for new epoch

* Sun Jun 29 2003 Jeremy Katz <katzj@redhat.com> 0.7.3-1
- 0.7.3

* Sat Jun 28 2003 Jeremy Katz <katzj@redhat.com> 0.7.2-1
- update to 0.7.2

* Sun Jun  8 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-4
- fix crash on startup in egg-menu-merge on x86_64

* Sat Jun  7 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-3
- fix build on x86_64

* Sat Jun  7 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-2
- fix build with gcc 3.3

* Sat Jun  7 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-1
- update to 0.7.0

* Mon Jun  2 2003 Elliot Lee <sopwith@redhat.com> 0.6.1-2
- Rebuild to fix broken mozilla dep, patch for mozilla 1.4

* Mon May 19 2003 Jeremy Katz <katzj@redhat.com> 0.6.1-1
- 0.6.1

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-4
- add patch to fix gint/gpointer conversion bugs for 64bit arches

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-3
- only build on arches mozilla is built on

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-2
- rebuild against new mozilla, make mozilla requires dynamic

* Sun May  4 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-1
- update to 0.6.0
- fix tyop in %%postun

* Wed Apr 16 2003 Bill Nottingham <notting@redhat.com> 0.5.0-3
- make it build with mozilla-1.4 (shouldn't affect moz-1.2/moz-1.3 builds)

* Mon Apr 14 2003 Jeremy Katz <katzj@redhat.com> 0.5.0-2
- add some buildrequires, prereq GConf2
- disable building nautilus view

* Sun Apr 13 2003 Jeremy Katz <katzj@redhat.com> 
- Initial build.


